ALAS-2021-1550


Amazon Linux AMI Security Advisory: ALAS-2021-1550
Advisory Release Date: 2021-11-11 20:21 Pacific
Advisory Updated Date: 2021-11-11 20:21 Pacific
Severity: Medium

Issue Overview:

A flaw was found in the `userns-remap` feature of Docker. The root user in the remapped namespace can modify files under /var/lib/docker/<remapping>, leading to possible privilege escalation to the root user in the host. The highest threat from this vulnerability is to data integrity. (CVE-2021-21284)

A flaw was found in Docker. Pulling an intentionally malformed Docker image manifest could lead to a crash of the `dockerd` daemon, resulting in a denial of service. The highest threat from this vulnerability is to system availability. (CVE-2021-21285)


Affected Packages:

docker


Issue Correction:
Run yum update docker to update your system.

New Packages:
src:
    docker-20.10.7-2.69.amzn1.src

x86_64:
    docker-20.10.7-2.69.amzn1.x86_64
    docker-debuginfo-20.10.7-2.69.amzn1.x86_64